/*=========================================================================

  Program:   Visualization Toolkit
  Module:    vtkJohnPlugin.h

  Copyright (c) Ken Martin, Will Schroeder, Bill Lorensen
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
// .NAME vtkJohnPlugin
// .SECTION Description

#ifndef vtkJohnPlugin_h
#define vtkJohnPlugin_h

#include "vtkSphereSource.h"

class vtkJohnPlugin : public vtkSphereSource
{
public:
  static vtkJohnPlugin* New();
  vtkTypeMacro(vtkJohnPlugin, vtkSphereSource);
  void PrintSelf(ostream& os, vtkIndent indent);

  void PushData(int size, int* data);

//BTX
protected:
  vtkJohnPlugin();
  ~vtkJohnPlugin();

private:
  vtkJohnPlugin(const vtkJohnPlugin&); // Not implemented.
  void operator=(const vtkJohnPlugin&); // Not implemented.
//ETX
};

#endif
