/*=========================================================================

  Program:   ParaView
  Module:    vtkSMJohnPluginProxy.cxx

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.paraview.org/HTML/Copyright.html for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
#include "vtkSMJohnPluginProxy.h"

#include "vtkObjectFactory.h"
#include "vtkClientServerStream.h"

vtkStandardNewMacro(vtkSMJohnPluginProxy);
//----------------------------------------------------------------------------
vtkSMJohnPluginProxy::vtkSMJohnPluginProxy()
{
}

//----------------------------------------------------------------------------
vtkSMJohnPluginProxy::~vtkSMJohnPluginProxy()
{
}

//----------------------------------------------------------------------------
void vtkSMJohnPluginProxy::CreateVTKObjects()
{
  if (this->ObjectsCreated)
    {
    return;
    }

  this->Superclass::CreateVTKObjects();
  if (this->ObjectsCreated)
    {
    this->SendDataToServer();
    }
}

//----------------------------------------------------------------------------
void vtkSMJohnPluginProxy::SendDataToServer()
{
  const int data[] = { 10, 20, 30, 40, 50 };
  vtkClientServerStream stream;
  stream << vtkClientServerStream::Invoke
         << VTKOBJECT(this)
         << "PushData"
         << static_cast<int>(5)
         << stream.InsertArray(data, 5)
         << vtkClientServerStream::End;
  this->ExecuteStream(stream);
}

//----------------------------------------------------------------------------
void vtkSMJohnPluginProxy::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os, indent);
}
